Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Interface ExtendedSearchOps

All Superinterfaces
  SearchOps, Serializable

Deprecated As of 10.2, replaced by `SearchOpsV1`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. BEA does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public interface ExtendedSearchOps

extends SearchOps

SearchOps is used to search over Nodes and Properties and return the Node ids that match the given criteria.

Method Summary
`void` | `indexContentByPath(String path)` Deprecated Index content by path.
`void` | `indexContentByType(long typeId)` Deprecated Index content by type.

Methods inherited from interface com.bea.content.spi.SearchOps
`search`

Method Detail

### indexContentByPath

    void indexContentByPath(String path)
                            throws RepositoryException

  Deprecated
  Index content by path. All content at the given path and below will be indexed. This method is provided as a convenience. If a repository has been running without search indexing enabled (either repository events were disabled, or the search listener was not configured), then this method can be used to reindex content. This method should be used sparingly, as it can be quite expensive given a large amount of content.

  Parameters
    `path` - The path of the node on which to start the index operation.
  Throws
    `RepositoryException`

### indexContentByType

    void indexContentByType(long typeId)
                            throws RepositoryException

  Deprecated
  Index content by type. All content for the given type will be indexed. This method is provided as a convenience. If a repository has been running without search indexing enabled (either repository events were disabled, or the search listener was not configured), then this method can be used to reindex content. This method should be used sparingly, as it can be quite expensive given a large amount of content.

  Parameters
    `typeId` - The id of the type.
  Throws
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved